Subject: bug#40344: closed (Re: bug#40344: inconsistent 'guix package --list-generations' for root)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Mar 2020 17:49:02 +0000

Your bug report

#40344: inconsistent 'guix package --list-generations' for root

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40344: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40344
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40344: inconsistent 'guix package --list-generations' for root
From: Efraim Flashner <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Mar 2020 20:48:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Looks like I messsed up the bug report completely and mixed up
--list-profiles and --list-generations.

If anyone is curious, when run as root, 'guix package --list-profiles'
on Guix system and on a foreign distro, for me, return a list of all the
profiles of all the users.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: inconsistent 'guix package --list-generations' for root
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Tue, 31 Mar 2020 11:54:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run 'sudo guix package --list-generations' on a foreign distro
I get a list of all the profiles for all the users, not just for root.
When I run 'sudo guix package --list-generations' on Guix System I get:
guix package: error: profile '/var/guix/profiles/per-user/root/guix-profile' does not exist

1: it probably shouldn't error if the default profile doesn't exist
2: I like the idea of root being able to, say, clean up all the profiles
over a certain age (ie.: guix package --delete-generations 6m). On the
other hand it is unexpected behavior since root is "just another user"

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted